if(info.MAX_DISA_HUNT_ANNC_ALL) {
	var v_vsf_0 = {label: "0 - "+info.MAX_DISA_HUNT_ANNC_ALL+" (0 : "+langs.getText("common","unused")+")"};
}
else {
	var v_vsf_0 = {label: "0 - 70 (0 : "+langs.getText("common","unused")+")"};
}

if(info.PHASE >= 4.1) {
    var allclearracr = {key: "pgm127_allclracr", title: langs.getText("p127","allclracr"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","allclracr")}, {name:"ALLCLRACR", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]};
}
else {
	var allclearracr = {};
}

if(info.PHASE >= 3.1) {
    var cascadereadmsg = {key: "pgm127_casreadmsg", title: langs.getText("p127","casreadmsg"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","casreadmsg")}, {name:"CASREADMSG", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]};
} 
else {
	var cascadereadmsg = {};
}


define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm127_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm127_preload", preload: [{name: "RANGE_TYPE_1", range_type: 1}, {text: langs.getText("common","enter_stnrange")+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()}, {btn: langs.getText("common","load"), btn_type: "btn_load"}, langs.Range_Error_Table(), {endload: 1}, {br: 2}, {text: langs.getText("common","stnrange")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm127_mktbl", title: langs.getText("common","mktbl"), table: [{name: "CHKFLAG", value: "", check_flag: 1}, {label: langs.getText("common","order"), sort: "num"}, {btn: langs.getText("common","btn_chkall"), btn_type: "btn_checkall"}, {label: langs.getText("common","attr"), sort: "str"}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
            {key: "pgm127_basic_attr", title: langs.getText("common2","basic_attr"), th: [{order_alphabet: 1}, {label: langs.getText("common2","basic_attr"), colspan: 4}]},
            {key: "pgm127_vsfacce", title: langs.getText("p127","vsfacce"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","vsfacce")}, {name:"VSFACCE", value: "", select: [{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_twowayrcd", title: langs.getText("p127","twowayrcd"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","twowayrcd")}, {name:"TWOWAYRCD", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_vmibslot", title: langs.getText("common","vm_gw_number"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","vm_gw_number")}, {name:"VMIBSLOT", value: "", textfield: [{max: info.NO_OF_SLOTS.length}], message: "", cont: 0}, {name: "VMGWNUM", value: "", label: 1}]},
            {key: "pgm127_promptlan", title: langs.getText("common","multi_language"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","multi_language")}, {name:"PROMPTLAN", value:"", select:[{value: "1", option: langs.getText("common","opt_prompt")+"1"}, {value: "2", option: langs.getText("common","opt_prompt")+"2"}, {value: "3", option: langs.getText("common","opt_prompt")+"3"}, {value: "4", option: langs.getText("common","opt_prompt")+"4"}, {value: "5", option: langs.getText("common","opt_prompt")+"5"}, {value: "6", option: langs.getText("common","opt_prompt")+"6"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_psellang", title: langs.getText("p127","psellang"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","psellang")}, {name:"PSELLANG", value:"", select:[{value: "1", option: langs.getText("common","opt_prompt")+"1"}, {value: "2", option: langs.getText("common","opt_prompt")+"2"}, {value: "3", option: langs.getText("common","opt_prompt")+"3"}, {value: "4", option: langs.getText("common","opt_prompt")+"4"}, {value: "5", option: langs.getText("common","opt_prompt")+"5"}, {value: "6", option: langs.getText("common","opt_prompt")+"6"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_defvmgrp", title: langs.getText("p127","defvmgrp"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","defvmgrp")}, {name:"DEFVMGRP", value: "", textfield: [{max: 4}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_uncallrec", title: langs.getText("p127","uncallrec"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","uncallrec")}, {name:"UNCALLREC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_all")}, {value: "2", option: langs.getText("common","co")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_callrecstn", title: langs.getText("p127","callrecstn"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","callrecstn")}, {name:"CALLRECSTN", value: "", textfield: [{max: 8}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_dvuddtm", title: langs.getText("p127","dvuddtm"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","dvuddtm")}, {name:"DVUDDTM", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_vmpwdcheck", title: langs.getText("p127","vmpwdcheck"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","vmpwdcheck")}, {name:"VMPWDCHECK", value: "", select: [{value: "0", option: langs.getText("p127","opt_vmpwdcheck_nopwd")}, {value: "1", option: langs.getText("p127","opt_vmpwdcheck_pwdonly")}, {value: "2", option: langs.getText("p127","opt_vmpwdcheck_stnnopwd")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_stn_vmid", title: langs.getText("p127","stn_vmid"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","stn_vmid")}, {name:"STN_VMID", value: "", textfield: [{max: 8}], message: "", cont: 0}, {label: langs.getText("common","max8digit")}]},
            {key: "pgm127_msg_fifo", title: langs.getText("p127","msg_fifo"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","msg_fifo")}, {name:"MSG_FIFO", value: "", select: [{value: "0", option: "LIFO"}, {value: "1", option: "FIFO"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_wakeupannc", title: langs.getText("common","wakeup_annc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","wakeup_annc")}, {name:"WAKEUPANNC", value:"", textfield:[{max: 3}], message: "", cont: 0}, v_vsf_0]},
            {key: "pgm127_twowayannc", title: langs.getText("p127","twoway_annc"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","twoway_annc")}, {name:"TWOWAYANNC", value:"", textfield:[{max: 3}], message: "", cont: 0}, v_vsf_0]},
            {key: "pgm127_vmnotice", title: langs.getText("p127","vmnotice"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","vmnotice")}, {name:"VMNOTICE", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("p127","opt_tone")}, {value: "2", option: langs.getText("common","opt_prompt")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_passcnt", title: langs.getText("p127","passcnt"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","passcnt")}, {name:"PASSCNT", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: "1"}, {value: "2", option: "2"}, {value: "3", option: "3"}, {value: "4", option: "4"}, {value: "5", option: "5"}], message: "", cont: 0}, {label: ""}]},
			allclearracr,
            {key: "pgm127_enhanced_attr", title: langs.getText("p127","enhanced_attr"), th: [{order_alphabet: 1}, {label: langs.getText("p127","enhanced_attr"), colspan: 4}]},
            {key: "pgm127_vmmsgnum", title: langs.getText("common","vm_msg_num"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 0}, {label: langs.getText("common","vm_msg_num")}, {name:"VMMSGNUM_TOTAL", value:"", label:1, cont:0}, {label: " ("+langs.getText("common","simple_newmsg")+": ", cont:1}, {name:"VMMSGNUM_NEW", value:"", label:1, cont:1}, {label: ", "+langs.getText("common","savedmsg")+": ", cont:1}, {name:"VMMSGNUM_SAVED", value:"", label:1, cont:1}, {label: ", "+langs.getText("common","urgentmsg")+": ", cont:1}, {name:"VMMSGNUM_URGENT", value:"", label:1, cont:1}, {label: ")", cont:1}, {label: ""}]},
            {key: "pgm127_vmcos", title: langs.getText("p127","vmcos"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","vmcos")}, {name:"VMCOS", value:"", select:[{value: "0", option: "1"}, {value: "1", option: "2"}, {value: "2", option: "3"}, {value: "3", option: "4"}, {value: "4", option: "5"}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_admmailbox", title: langs.getText("p127","admmailbox"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","admmailbox")}, {name:"ADMMAILBOX", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_anncmailbox", title: langs.getText("common","anncmailbox"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","anncmailbox")}, {name:"ANNCMAILBOX", value:"", select:[{value: "0", option: langs.getText("common","opt_disable")}, {value: "1", option: langs.getText("common","opt_enable")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_anncoption", title: langs.getText("common","anncoption"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","anncoption")}, {name:"ANNCOPTION", value:"", select:[{value: "0", option: langs.getText("common","prev_menu")}, {value: "1", option: langs.getText("common","hang_up")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_comfirstname", title: langs.getText("common","comfirstname"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","comfirstname")}, {name:"COMFIRSTNAME", value:"", textfield: [{max: 12, size: 30}], message: "", cont: 0}, {label: langs.getText("common","max12ch")}]},
            {key: "pgm127_comlastname", title: langs.getText("common","comlastname"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","comlastname")}, {name:"COMLASTNAME", value:"", textfield: [{max: 12, size: 30}], message: "", cont: 0}, {label: langs.getText("common","max12ch")}]},
            {key: "pgm127_rwfftime", title: langs.getText("common","rwfftime"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","rwfftime")}, {name:"RWFFTIME", value:"", textfield: [{max: 2, size: 10}], message: "", cont: 0}, {label: "3-99 ("+langs.getText("common","cmt_second")+")"}]},
            {key: "pgm127_retrycount", title: langs.getText("p127","retrycount"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","retrycount")}, {name:"RETRYCOUNT", value:"", textfield: [{max: 2, size: 10}], message: "", cont: 0}, {label: "0-99"}]},
            {key: "pgm127_retrydelay", title: langs.getText("p127","retrydelay"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","retrydelay")}, {name:"RETRYDELAY", value:"", textfield: [{max: 2, size: 10}], message: "", cont: 0}, {label: "0-99 ("+langs.getText("common","cmt_second")+")"}]},
            {key: "pgm127_vmfwdoption", title: langs.getText("p127","vmfwdoption"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","vmfwdoption")}, {name:"VMFWDOPTION", value:"", select:[{value: "0", option: langs.getText("common","opt_move")}, {value: "1", option: langs.getText("common","opt_copy")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmailbox", title: langs.getText("common","casmailbox")+" 1", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","casmailbox")+" 1"}, {name:"CASMAILBOX", value:"", textfield: [{max: 8, size: 30}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmailbox2", title: langs.getText("common","casmailbox")+" 2", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","casmailbox")+" 2"}, {name:"CASMAILBOX2", value:"", textfield: [{max: 8, size: 30}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmailbox3", title: langs.getText("common","casmailbox")+" 3", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","casmailbox")+" 3"}, {name:"CASMAILBOX3", value:"", textfield: [{max: 8, size: 30}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmailbox4", title: langs.getText("common","casmailbox")+" 4", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","casmailbox")+" 4"}, {name:"CASMAILBOX4", value:"", textfield: [{max: 8, size: 30}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmailbox5", title: langs.getText("common","casmailbox")+" 5", tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("common","casmailbox")+" 5"}, {name:"CASMAILBOX5", value:"", textfield: [{max: 8, size: 30}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmethod", title: langs.getText("p127","casmethod"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","casmethod")}, {name:"CASMETHOD", value:"", select:[{value: "0", option: langs.getText("p127","opt_casmethod_disable")}, {value: "1", option: langs.getText("p127","opt_casmethod_copy")}, {value: "2", option: langs.getText("p127","opt_casmethod_move")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casmsgtype", title: langs.getText("p127","casmsgtype"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","casmsgtype")}, {name:"CASMSGTYPE", value:"", select:[{value: "0", option: langs.getText("p127","opt_casmsgtype_normal")}, {value: "1", option: langs.getText("p127","opt_casmsgtype_urgent")}, {value: "2", option: langs.getText("p127","opt_casmsgtype_all")}], message: "", cont: 0}, {label: ""}]},
            {key: "pgm127_casapplytimer", title: langs.getText("p127","casapplytimer"), tr:[{order: 1}, {chk_type: "chk_checkall", chk: 1}, {label: langs.getText("p127","casapplytimer")}, {name:"CASAPPLYTIMER", value:"", textfield: [{max: 3, size: 10}], message: "", cont: 0}, {label: "1-250 ("+langs.getText("common","cmt_minute")+")"}]},
			cascadereadmsg
		]}
	]}
);
