
var v_page_act_sel = [{value: "0", option: langs.getText("p1636","page_not_use")}, {value: "1", option: langs.getText("p1636","page_live_voice")}, {value: "2", option: langs.getText("p1636","page_annc_play")}, {value: "3", option: langs.getText("p1636","page_silent_text")}];


column_config["pgm1636"] = [{readOnly: true}, {maxLength:32}, {maxLength:3}, {type: 'dropdown', source: [langs.getText("p1636","page_not_use"), langs.getText("p1636","page_live_voice"), langs.getText("p1636","page_annc_play"), langs.getText("p1636","page_silent_text")]}, {maxLength:3}, {maxLength:2}, {type: 'dropdown', source: [langs.getText("common","opt_off"), langs.getText("common","opt_on")]}, {type: 'dropdown', source: [langs.getText("common","opt_off"), langs.getText("common","opt_on")]}, {maxLength:3}, {type: 'dropdown', source: [langs.getText("p1635","almurg_owrpg"), langs.getText("p1635","almurg_owrall")]}, {type: 'dropdown', source: [langs.getText("common","opt_off"), langs.getText("common","opt_on")]}, {type: 'dropdown', source: [langs.getText("common","opt_off"), langs.getText("common","opt_on")]}, {maxLength:2}, {maxLength:4}, {maxLength:2}, {type: 'dropdown', source: [langs.getText("common","opt_off"), langs.getText("common","opt_on")]}, {maxLength:1}];

if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100")
{
  define(
	{elements:[
		{name:"tab1", tab: [
			{key: "pgm1636_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
			{key: "pgm1636_mktbl", title: langs.getText("common","mktbl"), edit_table: [{label: langs.getText("common","order")},
                              {label: langs.getText("common","name")}, {br: 1, cont: 1}, {label: langs.getText("common","max32ch"), cont: 1},
			      {label: langs.getText("p191","ciqpa_pz")}, {br: 1, cont: 1}, {label: "INT(1-35)/INT_ALL(36)", cont: 1}, {br: 1, cont: 1}, {label: "EXT1(37)/EXT2(38)/EXT_ALL(39)", cont: 1}, {br: 1, cont: 1}, {label: "INT_EXT_ALL(40) SYS_ALL(51)", cont: 1},
			      {label: langs.getText("p1636","page_act")},
                              {label: langs.getText("p1635","annc_no")}, {br: 1, cont: 1}, {label: "(0,"+info.START_OF_SYS_ANNC+"-"+info.END_OF_SYS_ANNC+")", cont: 1},
                              {label: langs.getText("p1636","text_no")}, {br: 1, cont: 1}, {label: "(0, 1-60)", cont: 1},
			      {label: langs.getText("p1636","sms_only")},
			      {label: langs.getText("p1636","man_txtonidle")},
			      {label: langs.getText("p1635","almurg_level")}, {br: 1, cont: 1}, {label: "(0-255, 0>1>2..>255)", cont: 1},
			      {label: langs.getText("p1635","almurg_ovwr")},
			      {label: langs.getText("p1636","page_auth_opt")},
			      {label: langs.getText("p1636","page_handsfree")},
			      {label: langs.getText("p1635","almpag_repcnt")}, {br: 1, cont: 1}, {label: "(0-99)", cont: 1},
			      {label: langs.getText("p1635","almpag_repint")}, {br: 1, cont: 1}, {label: "(5-255 "+langs.getText("common","cmt_second")+")", cont: 1},
			      {label: langs.getText("p1635","almann_repcnt")}, {br: 1, cont: 1}, {label: "(0-99)", cont: 1},
			      {label: langs.getText("p1636","skip_prompt_ext")},
                              {label: langs.getText("p1636","auto_pg_start_tmr")}, {br: 1, cont: 1}, {label: "(0-5 sec)", cont: 1}],
			         data_form: [{key: "", tr: [{order: 1}, {name: "NAM", value: "", textfield: [{max: 32, size: 32}], message: "", enable_mullang: 1, cont: 0},
				 {name: "GRP", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
                                 {name: "ACT", value: "", select: v_page_act_sel, message: "", cont: 0},
				 {name: "ANN", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
				 {name: "TXT", value: "", textfield: [{max: 2, size: 3}], message: "", cont: 0},
				 {name: "SMS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "MTI", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "PRI", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
				 {name: "OVR", value: "", select: [{value: "0", option: langs.getText("p1635","almurg_owrpg")}, {value: "1", option: langs.getText("p1635","almurg_owrall")}], message: "", cont: 0},
				 {name: "ATH", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "HFR", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "PRP", value: "", textfield: [{max: 2, size: 2}], message: "", cont: 0},
				 {name: "PGA", value: "", textfield: [{max: 4, size: 4}], message: "", cont: 0},
				 {name: "ARP", value: "", textfield: [{max: 2, size: 2}], message: "", cont: 0},
				 {name: "SRC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
                                 {name: "APS", value: "", textfield: [{max: 1, size: 2}], message: "", cont: 0}]}],
 		      		 variable_data: [{}]}
		]}
	]}
  );
}
else
{
  define(
	{elements:[
		{name:"tab1", tab: [
			{key: "pgm1636_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
			{key: "pgm1636_mktbl", title: langs.getText("common","mktbl"), edit_table: [{label: langs.getText("common","order")},
                              {label: langs.getText("common","name")}, {br: 1, cont: 1}, {label: langs.getText("common","max32ch"), cont: 1},
			      {label: langs.getText("p191","ciqpa_pz")}, {br: 1, cont: 1}, {label: "INT(1-100)/INT_ALL(101)", cont: 1}, {br: 1, cont: 1}, {label: "EXT1(102)/EXT2(103)/EXT_ALL(104)", cont: 1}, {br: 1, cont: 1}, {label: "INT_EXT_ALL(105) SYS_ALL(116)", cont: 1},
			      {label: langs.getText("p1636","page_act")},
                              {label: langs.getText("p1635","annc_no")}, {br: 1, cont: 1}, {label: "(0,"+info.START_OF_SYS_ANNC+"-"+info.END_OF_SYS_ANNC+")", cont: 1},
                              {label: langs.getText("p1636","text_no")}, {br: 1, cont: 1}, {label: "(0, 1-60)", cont: 1},
			      {label: langs.getText("p1636","sms_only")},
			      {label: langs.getText("p1636","man_txtonidle")},
			      {label: langs.getText("p1635","almurg_level")}, {br: 1, cont: 1}, {label: "(0-255, 0>1>2..>255)", cont: 1},
			      {label: langs.getText("p1635","almurg_ovwr")},
			      {label: langs.getText("p1636","page_auth_opt")},
			      {label: langs.getText("p1636","page_handsfree")},
			      {label: langs.getText("p1635","almpag_repcnt")}, {br: 1, cont: 1}, {label: "(0-99)", cont: 1},
			      {label: langs.getText("p1635","almpag_repint")}, {br: 1, cont: 1}, {label: "(5-255 "+langs.getText("common","cmt_second")+")", cont: 1},
			      {label: langs.getText("p1635","almann_repcnt")}, {br: 1, cont: 1}, {label: "(0-99)", cont: 1},
			      {label: langs.getText("p1636","skip_prompt_ext")},
                              {label: langs.getText("p1636","auto_pg_start_tmr")}, {br: 1, cont: 1}, {label: "(0-5 sec)", cont: 1}],
			         data_form: [{key: "", tr: [{order: 1}, {name: "NAM", value: "", textfield: [{max: 32, size: 32}], message: "", enable_mullang: 1, cont: 0},
				 {name: "GRP", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
                                 {name: "ACT", value: "", select: v_page_act_sel, message: "", cont: 0},
				 {name: "ANN", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
				 {name: "TXT", value: "", textfield: [{max: 2, size: 3}], message: "", cont: 0},
				 {name: "SMS", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "MTI", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "PRI", value: "", textfield: [{max: 3, size: 4}], message: "", cont: 0},
				 {name: "OVR", value: "", select: [{value: "0", option: langs.getText("p1635","almurg_owrpg")}, {value: "1", option: langs.getText("p1635","almurg_owrall")}], message: "", cont: 0},
				 {name: "ATH", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "HFR", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
				 {name: "PRP", value: "", textfield: [{max: 2, size: 2}], message: "", cont: 0},
				 {name: "PGA", value: "", textfield: [{max: 4, size: 4}], message: "", cont: 0},
				 {name: "ARP", value: "", textfield: [{max: 2, size: 2}], message: "", cont: 0},
				 {name: "SRC", value: "", select: [{value: "0", option: langs.getText("common","opt_off")}, {value: "1", option: langs.getText("common","opt_on")}], message: "", cont: 0},
                                 {name: "APS", value: "", textfield: [{max: 1, size: 2}], message: "", cont: 0}]}],
 		      		 variable_data: [{}]}
		]}
	]}
  );
}
