var LCR_MAX_DMT_TBL_RANGE = "99";

if(LCR_MAX_DMT_TBL_RANGE) {
	var range_guide = " (0 - "+LCR_MAX_DMT_TBL_RANGE+")";
	if(LCR_MAX_DMT_TBL_RANGE < 99) {
		var maxInputRange = LCR_MAX_DMT_TBL_RANGE;
	} else {
		var maxInputRange = "100";
	}
}

if (info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100") {
	var cmt_dmtcog = {label: "(01-21)", cont: 1};
	column_config["pgm222"] = [{readOnly: true}, {maxLength:25}, {maxLength:2}, {maxLength:2}, {maxLength:2}, {maxLength:2}, {maxLength:2}, {maxLength:3}, {maxLength:4}];
} else {
	var cmt_dmtcog = {label: "(01-201)", cont: 1};
	column_config["pgm222"] = [{readOnly: true}, {maxLength:25}, {maxLength:2}, {maxLength:2}, {maxLength:2}, {maxLength:3}, {maxLength:2}, {maxLength:3}, {maxLength:4}];
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm222_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm222_preload", preload: [{name: "RANGE_TYPE_1", range_type: 2}, {text: langs.getText("common","enter_indexrange")+range_guide+" : "}, {name: "RANGE_1_1", value: "", textfield: [{max: 40, size: 50}], message: "", help: langs.re_toolTip()+"<br><br>"+langs.getText("toolTip","maxinputrange")+" - "+maxInputRange}, {btn: langs.getText("common","load"), btn_type: "btn_load"},
				langs.Range_Error_Table(),
				{endload: 1}, {br: 2}, {text: langs.getText("common","index_range")+" "}, {name: "RANGE_VIEW_1", value: "", text: 1}]},
            {key: "pgm222_mktbl", edit_table: [{label: langs.getText("common","index")}, 
											   {label: langs.getText("p222","dmt_ads")}, {br: 1, cont: 1}, {label: "※ "+langs.getText("p222","cmt_max25digit"), cont: 1}, {br: 1, cont: 1}, {label: langs.getText("p222","cmt_dmt_ads"), cont: 1}, 
											   {label: langs.getText("p222","dmt_rp")}, {br: 1, cont: 1}, {label: "(01-12)", cont: 1}, 
											   {label: langs.getText("p222","dmt_nod")}, {br: 1, cont: 1}, {label: "(00-12)", cont: 1}, 
											   {label: langs.getText("p222","dmt_ap")}, {br: 1, cont: 1}, {label: "(01-13)", cont: 1}, 
											   {label: langs.getText("common","coipgrp")}, {br: 1, cont: 1}, cmt_dmtcog, 
											   {label: langs.getText("common","dmt_alt")}, {br: 1, cont: 1}, {label: "(00-99)", cont: 1}, 
											   {label: langs.getText("p222","dmt_net")}, {br: 1, cont: 1}, {label: "(001-251)", cont: 1}, 
											   {label: langs.getText("p222","dmt_smdr")}, {br: 1, cont: 1}, {label: "("+langs.getText("p222","cmt_max4digit")+")", cont: 1}],
								  data_form: [{key: "", tr: [{name: "DMT_INDEX", value: "", label: 1}, 
															 {name:"DMT_ADS", value: "", textfield: [{max: 25, size: 30}], message: "", cont: 0},
															 {name:"DMT_RP", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0},
															 {name:"DMT_NOD", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0},
															 {name:"DMT_AP", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0},
															 {name:"DMT_COG", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0},
															 {name:"DMT_ALT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0},
															 {name:"DMT_NET", value: "", textfield: [{max: 3, size: 5}], message: "", cont: 0},
															 {name:"DMT_SMDR", value: "", textfield: [{max: 4, size: 4}], message: "", cont: 0}]}],
							  variable_data: [{}]}
		]}
	]}
);
