if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {};
} else {
	var v_1 = {key: "pgm402_sltmg_mcim", title: langs.getText("common","mcim"), tr: [{label: langs.getText("common","mcim")}, {name: "SLTMG_MCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","mcim")}, {name: "SLTMG_TXMCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

if (info.SYSTEM_ID == "iPECS eMG100") {
	var dect = {};
} else {
	var dect = {key: "pgm402_sltmg_wtimg", title: langs.getText("common","dect_phone"), tr: [{label: langs.getText("common","dect_phone")}, {name: "SLTMG_WTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dect_phone")}, {name: "SLTMG_TXWTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm402_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm402_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("p402","rx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("p402","tx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
						{key: "pgm402_sltmg_phs", title: langs.getText("common","ipphs"), tr: [{label: langs.getText("common","ipphs")}, {name: "SLTMG_PHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphs")}, {name: "SLTMG_TXPHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_phf", title: langs.getText("common","ipphf"), tr: [{label: langs.getText("common","ipphf")}, {name: "SLTMG_PHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphf")}, {name: "SLTMG_TXPHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_slt", title: langs.getText("common","slt"), tr: [{label: langs.getText("common","slt")}, {name: "SLTMG_SLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","slt")}, {name: "SLTMG_TXSLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_aco", title: langs.getText("common","aco"), tr: [{label: langs.getText("common","aco")}, {name: "SLTMG_ACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","aco")}, {name: "SLTMG_TXACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_dco", title: langs.getText("common","dco"), tr: [{label: langs.getText("common","dco")}, {name: "SLTMG_DCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dco")}, {name: "SLTMG_TXDCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_vsf", title: langs.getText("common","vsf"), tr: [{label: langs.getText("common","vsf")}, {name: "SLTMG_VSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","vsf")}, {name: "SLTMG_TXVSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_imisc", title: langs.getText("common","internal_music"), tr: [{label: langs.getText("common","internal_music")}, {name: "SLTMG_IMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","internal_music")}, {name: "SLTMG_TXIMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_emisc", title: langs.getText("common","extmusic"), tr: [{label: langs.getText("common","extmusic")}, {name: "SLTMG_EMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","extmusic")}, {name: "SLTMG_TXEMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						v_1,
						dect,
						{key: "pgm402_sltmg_sipext", title: langs.getText("common","sip_phone"), tr: [{label: langs.getText("common","sip_phone")}, {name: "SLTMG_SIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","sip_phone")}, {name: "SLTMG_TXSIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_dkths", title: langs.getText("common","dkths"), tr: [{label: langs.getText("common","dkths")}, {name: "SLTMG_DKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkths")}, {name: "SLTMG_TXDKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_dkthf", title: langs.getText("common","dkthf"), tr: [{label: langs.getText("common","dkthf")}, {name: "SLTMG_DKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkthf")}, {name: "SLTMG_TXDKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm402_sltmg_wit", title: langs.getText("common","wit_phone"), tr: [{label: langs.getText("common","wit_phone")}, {name: "SLTMG_WIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","wit_phone")}, {name: "SLTMG_TXWIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]}
		]}
	]}
);
