if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {};
} else {
	var v_1 = {key: "pgm404_dcobg_mcim", title: langs.getText("common","mcim"), tr: [{label: langs.getText("common","mcim")}, {name: "DCOBG_MCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","mcim")}, {name: "DCOBG_TXMCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

if (info.SYSTEM_ID == "iPECS eMG100") {
	var dect = {};
} else {
	var dect = {key: "pgm404_dcobg_wtimg", title: langs.getText("common","dect_phone"), tr: [{label: langs.getText("common","dect_phone")}, {name: "DCOBG_WTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dect_phone")}, {name: "DCOBG_TXWTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm404_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm404_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("p404","rx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("p404","tx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
						{key: "pgm404_dcobg_phs", title: langs.getText("common","ipphs"), tr: [{label: langs.getText("common","ipphs")}, {name: "DCOBG_PHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphs")}, {name: "DCOBG_TXPHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_phf", title: langs.getText("common","ipphf"), tr: [{label: langs.getText("common","ipphf")}, {name: "DCOBG_PHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphf")}, {name: "DCOBG_TXPHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_slt", title: langs.getText("common","slt"), tr: [{label: langs.getText("common","slt")}, {name: "DCOBG_SLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","slt")}, {name: "DCOBG_TXSLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_aco", title: langs.getText("common","aco"), tr: [{label: langs.getText("common","aco")}, {name: "DCOBG_ACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","aco")}, {name: "DCOBG_TXACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_dco", title: langs.getText("common","dco"), tr: [{label: langs.getText("common","dco")}, {name: "DCOBG_DCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dco")}, {name: "DCOBG_TXDCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_vsf", title: langs.getText("common","vsf"), tr: [{label: langs.getText("common","vsf")}, {name: "DCOBG_VSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","vsf")}, {name: "DCOBG_TXVSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_imisc", title: langs.getText("common","internal_music"), tr: [{label: langs.getText("common","internal_music")}, {name: "DCOBG_IMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","internal_music")}, {name: "DCOBG_TXIMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_emisc", title: langs.getText("common","extmusic"), tr: [{label: langs.getText("common","extmusic")}, {name: "DCOBG_EMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","extmusic")}, {name: "DCOBG_TXEMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						v_1,
						dect,
						{key: "pgm404_dcobg_sipext", title: langs.getText("common","sip_phone"), tr: [{label: langs.getText("common","sip_phone")}, {name: "DCOBG_SIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","sip_phone")}, {name: "DCOBG_TXSIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_dkths", title: langs.getText("common","dkths"), tr: [{label: langs.getText("common","dkths")}, {name: "DCOBG_DKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkths")}, {name: "DCOBG_TXDKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_dkthf", title: langs.getText("common","dkthf"), tr: [{label: langs.getText("common","dkthf")}, {name: "DCOBG_DKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkthf")}, {name: "DCOBG_TXDKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm404_dcobg_wit", title: langs.getText("common","wit_phone"), tr: [{label: langs.getText("common","wit_phone")}, {name: "DCOBG_WIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","wit_phone")}, {name: "DCOBG_TXWIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]}
		]}
	]}
);
