if(info.SYSTEM_ID == "iPECS eMG80" || info.SYSTEM_ID == "iPECS eMG100" || info.SYSTEM_ID == "iPECS eMG800") {
	var v_1 = {};
} else {
	var v_1 = {key: "pgm480_wit_mcim", title: langs.getText("common","mcim"), tr: [{label: langs.getText("common","mcim")}, {name: "WIT_MCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","mcim")}, {name: "WIT_TXMCIM", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

if (info.SYSTEM_ID == "iPECS eMG100") {
	var dect = {};
} else {
	var dect = {key: "pgm480_wit_wtimg", title: langs.getText("common","dect_phone"), tr: [{label: langs.getText("common","dect_phone")}, {name: "WIT_WTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dect_phone")}, {name: "WIT_TXWTIMG", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]};
}

define(
    {elements:[
        {name:"tab1", tab: [
            {key: "pgm480_button", button: [{btn: langs.getText("common","btn_save"), btn_type: "btn_save auth_write"}]},
            {key: "pgm480_mktbl", title: langs.getText("common","mktbl"), table: [{label: langs.getText("p480","rx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("p480","tx_attr")}, {label: langs.getText("common","val")}, {label: langs.getText("common","range")}]},
						{key: "pgm480_wit_phs", title: langs.getText("common","ipphs"), tr: [{label: langs.getText("common","ipphs")}, {name: "WIT_PHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphs")}, {name: "WIT_TXPHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_phf", title: langs.getText("common","ipphf"), tr: [{label: langs.getText("common","ipphf")}, {name: "WIT_PHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","ipphf")}, {name: "WIT_TXPHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_slt", title: langs.getText("common","slt"), tr: [{label: langs.getText("common","slt")}, {name: "WIT_SLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","slt")}, {name: "WIT_TXSLT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_aco", title: langs.getText("common","aco"), tr: [{label: langs.getText("common","aco")}, {name: "WIT_ACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","aco")}, {name: "WIT_TXACO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_dco", title: langs.getText("common","dco"), tr: [{label: langs.getText("common","dco")}, {name: "WIT_DCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dco")}, {name: "WIT_TXDCO", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_vsf", title: langs.getText("common","vsf"), tr: [{label: langs.getText("common","vsf")}, {name: "WIT_VSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","vsf")}, {name: "WIT_TXVSF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_imisc", title: langs.getText("common","internal_music"), tr: [{label: langs.getText("common","internal_music")}, {name: "WIT_IMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","internal_music")}, {name: "WIT_TXIMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_emisc", title: langs.getText("common","extmusic"), tr: [{label: langs.getText("common","extmusic")}, {name: "WIT_EMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","extmusic")}, {name: "WIT_TXEMISC", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						v_1,
						dect,
						{key: "pgm480_wit_sipext", title: langs.getText("common","sip_phone"), tr: [{label: langs.getText("common","sip_phone")}, {name: "WIT_SIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","sip_phone")}, {name: "WIT_TXSIPEXT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_dkths", title: langs.getText("common","dkths"), tr: [{label: langs.getText("common","dkths")}, {name: "WIT_DKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkths")}, {name: "WIT_TXDKTHS", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_dkthf", title: langs.getText("common","dkthf"), tr: [{label: langs.getText("common","dkthf")}, {name: "WIT_DKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","dkthf")}, {name: "WIT_TXDKTHF", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]},
						{key: "pgm480_wit_wit", title: langs.getText("common","wit_phone"), tr: [{label: langs.getText("common","wit_phone")}, {name: "WIT_WIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: langs.getText("common","wit_phone")}, {name: "WIT_TXWIT", value: "", textfield: [{max: 2, size: 5}], message: "", cont: 0}, {label: "1-46"}]}
		]}
	]}
);
