if (offline_mode) {
	var monitor_btn = {};
	var sys_info_br = {};
	var app_build_date = {};
	var boot_ver = {};
	var kernel_ver = {};
	var hw_issue = {};
	var db_ver = {text: langs.getText("common","simple_database")+" "+langs.getText("common","info_version")+" : "+(info.DB_VERSION?info.DB_VERSION:"-")};
	var db_br = {br: 1};
	var sys_bootup_time_label = {};
	var sys_bootup_time_val = {};
	var cpu_usage_label = {};
	var cpu_usage_val = {};
	var mem_usage_label = {};
	var mem_usage_val = {};
	var storage_usage_label = {};
	var storage_usage_val = {};
	var network_usage_label = {};
	var network_usage_val = {};
} else {
	var monitor_btn = {key: "pgm98_button", button: [{btn: langs.getText("p98","btn_monitor"), btn_type: "btn_p98_monitor"}]};
	var sys_info_br = {br: 1};
	var app_build_date = {text: langs.getText("common","info_app")+" "+langs.getText("common","build")+" "+langs.getText("common","date")+" : "+(info.COMP_TIME?info.COMP_TIME:"-")};
	var boot_ver = {text: langs.getText("common","info_boot")+" "+langs.getText("common","info_version")+" : "+((info.BOOT_VERSION!=" ")?info.BOOT_VERSION:"-")};
	var kernel_ver = {text: langs.getText("common","info_kernel")+" "+langs.getText("common","info_version")+" : "+(info.KERNEL_VERSION?info.KERNEL_VERSION:"-")};
	var hw_issue = {text: langs.getText("common","info_hw")+" "+langs.getText("common","info_issue")+" : "+(info.HW_ISSUE?info.HW_ISSUE:"-")};
	var db_ver = {};
	var db_br = {};
	var sys_bootup_time_label = {text: langs.getText("common","info_uptime")+" : "};
	var sys_bootup_time_val = {name: "UPTIME", value: "", text: 1};
	var cpu_usage_label = {text: langs.getText("p98","cpuuse")+" : "};
	var cpu_usage_val = {name: "CPUUSE", value: "", text: 1};
	var mem_usage_label = {text: langs.getText("p98","memuse")+" : "};
	var mem_usage_val = {name: "MEMUSE", value: "", text: 1};
	var storage_usage_label = {text: langs.getText("p98","storageuse")+" : "};
	var storage_usage_val = {name: "STOUSE", value: "", text: 1};
	var network_usage_label = {text: langs.getText("p98","netuse")+" : "};
	var network_usage_val = {name: "NETUSE", value: "", text: 1};
}

define(
    {elements:[
        {name:"tab1", tab: [
				monitor_btn,
				{key: "pgm98_sys_verinfo", contents: [{text: langs.getText("common","info_app")+" "+langs.getText("common","info_version")+" : "+(info.APP_VERSION?info.APP_VERSION:"-")}, {br: 1},
													app_build_date, sys_info_br,
																  boot_ver, sys_info_br,
																  kernel_ver, sys_info_br,
																  hw_issue, sys_info_br,
																  db_ver, db_br,
																  sys_bootup_time_label, sys_bootup_time_val, sys_info_br,
																  cpu_usage_label, cpu_usage_val, sys_info_br,
																  mem_usage_label, mem_usage_val, sys_info_br,
																  storage_usage_label, storage_usage_val, sys_info_br,
																  network_usage_label, network_usage_val, sys_info_br,
																  {br: 2}]},
            {key: "pgm98_mktbl", table: [{label: langs.getText("common","classification")}, {label: langs.getText("common","type")}, {label: langs.getText("common","log_no")}, {label: langs.getText("common","ipaddr")}, {label: langs.getText("common","info_version")}, 
													  {label: langs.getText("common","connection")}, {label: langs.getText("common","state")}], 
                               data_form:[{key: "", tr: [{name:"DEV_CLASS", value:"", label: 1}, 
																			{name:"DEV_TYPE", value:"", label: 1}, 
																			{name:"DEV_LOGORDER", value:"", label: 1}, 
                                                         {name:"DEV_IP", value: "", label: 1}, {br: 1, cont: 1}, {name: "DEV_RMTIP", value: "", label: 1, cont: 1},
                                                         {name:"DEV_VER", value:"", label: 1}, 
                                                         {name:"DEV_CONNECT", value:"", label: 1},
                                                         {name:"DEV_STATE", value:"", label: 1}]}],
                           variable_data:[{}]}
        ]}
    ]}
);
